﻿-- Version 1500b1
RT_ITEMREG =       "(|c%x+|Hitem:%d+:%d+:%d+:%d+:%d+:%d+:(%-?%d+):(%-?%d+):(%-?%d+)|h%[.-%]|h|r)%";
RT_ITEMREG_MULTI = "(|c%x+|Hitem:%d+:%d+:%d+:%d+:%d+:%d+:(%-?%d+):(%-?%d+):(%-?%d+)|h%[.-%]|h|r)x(%d+)%";

RaidTracker_L = {

};

--[[
 Conventions: Tags [TAQ], Real Name [Ahn'Qiraj], Display Name [Ahn'Qiraj Temple]
   tags         - for having a unique identifier for a zone reguardles of anyting else, changesin game, locale or whatever
   real name    - for mappign when GetRealZowenName is called in an instance, this is the locale specific real instance name
   display name - the map name which is also locale specific for a zone
]]


RaidTracker_Tags = {		-- tag = zone trigger name
	-- releases
	["REL0"]	= "World Event",
	["REL1"]	= "Classic",
	["REL2"]	= "The Burning Crusades",
	["REL3"]	= "Wrath of the Lich King",

	-- zones
	["WB"]		= "World Boss",
	["KM"]		= "Kalimdor",
	["KM:DWM"]	=  "Dustwallow Marsh",
	["KM:SIL"]	=  "Silithus",
	["KM:TAN"]	=  "Tanaris",
	["EK"]		= "Eastern Kingdoms",
	["EK:BRM"]	=  "Blackrock Mountain",
	["EK:STV"]	=  "Stranglethorn Vale",
	["EK:DWP"]	=  "Deadwind Pass",
	["EK:EPL"]	=  "Easterm Plaguelands",
	["OL"]		= "Outlands",
	["OL:BEM"]	=  "Blade's Edge Mountains",
	["NR"]		= "Northrend",
	["NR:BRT"]	=  "Borean Tundra",
	["NR:CLD"]	=  "Coldarra",
	["NR:NEX"]	=  "The Nexus",
	["NR:UTG"]	=  "Utgarde Keep",
	["NR:PON"]	=  "Pit of Narjun",
	["NR:DAL"]	=  "Dalaran",
	["NR:UDR"]	=  "Ulduar",
	["NR:ZDK"]	=  "Zul'Drak",
	["NR:WRT"]	=  "Wyrmrest Temple",
	["NR:WRT"]	=  "Wintergrasp Keep",
	["NR:ICR"]	=  "Icecrown",
	["NR:ICG"]	=  "Icecrown Glacier",
};

RaidTracker_GameReleases = { 0, 1, 2, 3 }; -- { 0, 1, 2, 3 };

RaidTracker_Zones = {
	["Teldrassil"]					= { id=1,  pid=0,  rel=1, tag="", loc="KM", type="Raid",  man=40, min=58, ran="1-12",	name="Teldrassil", },

	-- ALL
	["World Boss"]					= { id=0,  pid=0,  rel=0, tag="", loc="WB",     type="Raid",  man=40, min=0,  ran="60",		name="World Boss", },
	-- CLASIC
	["Molten Core"]					= { id=1,  pid=4,  rel=1, tag="", loc="EK:BRM", type="Raid",  man=40, min=58, ran="60+",	name="Molten Core", },
	["Blackwing Lair"]				= { id=2,  pid=6,  rel=1, tag="", loc="EK:BRM", type="Raid",  man=40, min=60, ran="60++",	name="Blackwing Lair", },
	["Onyxia's Lair"]				= { id=3,  pid=5,  rel=1, tag="", loc="KM:DWM", type="Raid",  man=40, min=58, ran="60+",	name="Onyxia's Lair", },
	["Zul'Gurub"]					= { id=4,  pid=1,  rel=1, tag="", loc="EK:STV", type="Raid",  man=20, min=56, ran="60",		name="Zul'Gurub", },
	["Ruins of Ahn'Qiraj"]			= { id=5,  pid=2,  rel=1, tag="", loc="KM:TAN", type="Raid",  man=20, min=58, ran="60",		name="Ruins of Ahn'Qiraj", },
	["Ahn'Qiraj"]					= { id=6,  pid=3,  rel=1, tag="", loc="KM:TAN", type="Raid",  man=40, min=60, ran="60+",	name="Ahn'Qiraj", },
	["Naxxramas1"]					= { id=7,  pid=7,  rel=1, tag="", loc="EK:STV", type="Raid",  man=40, min=60, ran="60+++",	name="Naxxramas", },
	-- TBC
	["Karazhan"]					= { id=8,  pid=8,  rel=2, tag="", loc="EK:DWP", type="Raid",  man=10, min=68, ran="70+",	name="Karazhan", },
	["Gruul's Lair"]				= { id=9,  pid=9,  rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=68, ran="70+",	name="Gruul's Lair", },
	["Magtheridon's Lair"]			= { id=10, pid=10, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=68, ran="70+",	name="Magtheridon's Lair", },
	["Serpentshrine Cavern"]		= { id=11, pid=12, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70++",	name="Serpentshrine Cavern", },
	["Tempest Keep"]				= { id=12, pid=13, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70++",	name="Tempest Keep", },
	["Hyjal Summit"]				= { id=13, pid=14, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70+++",	name="Hyjal Summit", },
	["Black Temple"]				= { id=14, pid=15, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70+++",	name="Black Temple", },
	["Zul'Aman"]					= { id=15, pid=11, rel=2, tag="", loc="OL:BEM", type="Raid",  man=10, min=70, ran="70++",	name="Zul'Aman", },
	["Sunwell Plateau"]				= { id=16, pid=16, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70+++",	name="Sunwell Plateau", },
	-- WOTLK
	["Utgarde Keep"]				= { id=17, pid=17, rel=3, tag="", loc="NR:UTG", type="Party", man=5,  min=65, ran="70-72",	name="Utgarde Keep", },
	["The Nexus"]					= { id=18, pid=18, rel=3, tag="", loc="NR:NEX", type="Party", man=5,  min=66, ran="71-73",	name="The Nexus", },
	["Azjol-Nerub"]					= { id=19, pid=19, rel=3, tag="", loc="NR:PON", type="Party", man=5,  min=67, ran="72-74",	name="Azjol-Nerub", },
	["Ahn'kahet: The Old Kingdom"]	= { id=20, pid=20, rel=3, tag="", loc="NR:PON", type="Party", man=5,  min=68, ran="73-75",	name="Ahn'kahet: The Old Kingdom", },
	["Drak'Tharon Keep"]			= { id=21, pid=21, rel=3, tag="", loc="NR:ZDK", type="Party", man=5,  min=69, ran="74-76",	name="Drak'Tharon Keep", },
	["The Violet Hold"]				= { id=22, pid=22, rel=3, tag="", loc="NR:DAL", type="Party", man=5,  min=70, ran="75-77",	name="The Violet Hold", },
	["Gundrak"]						= { id=23, pid=23, rel=3, tag="", loc="NR:ZDK", type="Party", man=5,  min=71, ran="76-78",	name="Gundrak", },
	["Halls of Stone"]				= { id=24, pid=24, rel=3, tag="", loc="NR:UDR", type="Party", man=5,  min=72, ran="77-79",	name="Halls of Stone", },
	["The Occlus"]					= { id=25, pid=25, rel=3, tag="", loc="NR:NEX", type="Party", man=5,  min=75, ran="80",		name="The Occlus", },
	["Utgarde Pinnacle"]			= { id=26, pid=26, rel=3, tag="", loc="NR:UTG", type="Party", man=5,  min=75, ran="80",		name="Utgarde Pinnacle", },
	["The Culling of Stratholme"]	= { id=27, pid=27, rel=3, tag="", loc="KM:TAN", type="Party", man=5,  min=75, ran="80",		name="The Culling of Stratholme", },
	["Halls of Lightning"]			= { id=28, pid=28, rel=3, tag="", loc="NR:UDR", type="Party", man=5,  min=75, ran="80",		name="Halls of Lightning", },
	["Naxxramas"]					= { id=29, pid=29, rel=3, tag="", loc="NR:NEX", type="Raid",  man=10, min=78, ran="80+",	name="Naxxramas", },
	["The Obsidian Sanctum"]		= { id=30, pid=30, rel=3, tag="", loc="NR:WRT", type="Raid",  man=25, min=78, ran="80+",	name="The Obsidian Sanctum", },
	["Vault of Archavon"]			= { id=31, pid=31, rel=3, tag="", loc="NR:WGK", type="Raid",  man=25, min=78, ran="80+",	name="Vault of Archavon", },
	["The Eye of Eternity"]			= { id=32, pid=32, rel=3, tag="", loc="NR:NEX", type="Raid",  man=25, min=80, ran="80++",	name="The Eye of Eternity", },
	["Ulduar Raid"]					= { id=33, pid=33, rel=3, tag="", loc="NR:UDR", type="Raid",  man=25, min=80, ran="80++",	name="Ulduar Raid", },
	["Icecrown Citadel"]			= { id=34, pid=34, rel=3, tag="", loc="NR:ICG", type="Raid",  man=25, min=80, ran="80+++",	name="Icecrown Citadel", },

--	["Naxxramas"]				= "NAX",		-- Northrend - Dragonblight - ??? - ???  10/25 man (80+)
--	["The Obsidian Sanctum"]	= "OS",			-- Northrend - Dragonblight - ??? - Wyrmrest Temple  10/25 man (80+)
--	["Vault of Archavon"]		= "VOA",		-- Northrend - Wintergrasp - ??? - Wintergrasp Keep  10/25 man (80+)
--	["The Eye of Eternity"]		= "EOE",		-- Northrend - Borean Tundra - Coldarra - The Nexus  10/25 man (80++)
--	["Ulduar Raid"]				= "UDR",		-- Northrend - The Storm Peaks - ??? - Ulduar  25 man (80++)
--	["Icecrown Citadel"]		= "ICC",		-- Northrend - Icecrown - Icecrown Glacier - ???  25 man (80+++)
--	["The Nexus"]				= "NEX",		-- Northrend - Borean Tundra - Coldarra - The Nexus  5 man 66(71-73)
--	["The Occlus"]				= "OCC",		-- Northrend - Borean Tundra - Coldarra - The Nexus  5 man 75(80)
--	["Utgarde Keep"]			= "UK",			-- Northrend - Howling Fjord - Lake Cauldros - Utgarde Keep  5 man 65(70-72)
--	["Utgarde Pinnacle"]		= "UP",			-- Northrend - Howling Fjord - Lake Cauldros - Utgarde Keep  5 man 75(80)
--	["The Culling of Stratholme"] = "COS",		-- Kalimdor - Tanaris - ??? - Caverns of Time  5 man 75(80)
--	["Azjol-Nerub"]				= "AN",			-- Northrend - Dragonblight - ??? - Pit of Narjun  5 man 67(72-74)
--	["Ahn'kahet: The Old Kingdom"] = "AK",		-- Northrend - Dragonblight - ??? - Pit of Narjun  5 man 68(73-75)
--	["The Violet Hold"]			= "VH",			-- Northrend - Crystalsong Forest - Violet Stand - Dalaran  5 man 70(75-77)
--	["Drak'Tharon Keep"]		= "DTK",		-- Northrend - Zul'Drak - ??? - ???  5 man 69(74-76)
--	["Gundrak"]					= "GD",			-- Northrend - Zul'Drak - ??? - ???  5 man 71(76-78)
--	["Halls of Stone"]			= "HOS",		-- Northrend - The Storm Peaks - ??? - Ulduar  5 man 72(77-79)
--	["Halls of Lightning"]		= "HOL",		-- Northrend - The Storm Peaks - ??? - Ulduar  5 man 75(80)
};

-- this is realy jsut a lookup menu drop down list atm
--   really nice if to not jsut waste this on dropdowns
RaidTracker_Bosses = {

	["Trash mob"] = 1,

	["World Boss"] = {
		"Lord Kazzak", "Azuregos",
		-- tbc
		"Highlord Kruul", "Doom Lord Kazzak", "Doomwalker",
		-- wotlk
	},

	-- classic	
	["Teldrassil"] = { "Nightsaber Stalker", },
	["Molten Core"] = { "Lucifron", "Magmadar",	"Gehennas", "Garr", "Baron Geddon", "Shazzrah", "Sulfuron Harbinger",
		"Golemagg the Incinerator", "Majordomo Executus", "Ragnaros", },
	["Onyxia's Lair"] = { "Onyxia", },
	["Blackwing Lair"] = { "Razorgore the Untamed", "Vaelastrasz the Corrupt", "Broodlord Lashlayer", "Firemaw", "Ebonroc",
		"Flamegor",	"Chromaggus", "Nefarian", },
	["Zul'Gurub"] = { "High Priestess Jeklik", "High Priest Venoxis", "High Priestess Mar'li", "High Priest Thekal", "High Priestess Arlokk",
		"Hakkar", "Bloodlord Mandokir", "Jin'do the Hexxer", "Gahz'ranka", "Hazza'rah", "Gri'lek", "Renataki", "Wushoolay", },
	["Ahn'Qiraj"] = { "The Prophet Skeram", "Fankriss the Unyielding", "Battleguard Sartura", "Princess Huhuran", "Twin Emperors",
		"C'Thun", "Vem", "Princess Yauj", "Lord Kri", "Viscidus", "Ouro", },
	["Ruins of Ahn'Qiraj"] = { "Kurinnaxx", "General Rajaxx", "Ayamiss the Hunter", "Moam", "Buru The Gorger", "Ossirian The Unscarred", },
	["Naxxramas Classic"] = {	},
	["Emerald Dragon"] = { "Ysondre", "Taerar", "Emeriss", "Lethon", },

	-- TBC
	["Karazhan"] = { "Attumen the Huntsman", "Moroes", "Maiden of Virtue",
		["Theater Event"] = { "Unknown", "The Crone", "The Big Bad Wolf", "Romulo and Julianne", },
		"The Curator", "Terestian Illhoof",	"Shade of Aran", "Chess Event", "Prince Malchezaar", "Netherspite", "Nightbane",
		"Rokad the Ravager", "Hyakiss the Lurker", "Shadikith the Glider", "Echo of Medivh", "Image of Medivh",	},
	["Gruul's Lair"] = { "High King Maulgar", "Gruul the Dragonkiller", },
	["Magtheridon's Lair"] = { "Magtheridon", },
	["Serpentshrine Cavern"] = { "Hydross the Unstable", "The Lurker Below", "Leotheras the Blind", "Fathom-Lord Karathress", "Morogrim Tidewalker", "Lady Vashj", },
	["Caverns Of Time"] = { "Unknown", },
	["Black Temple"] = { "High Warlord Naj'entus", "Supremus", "Gurtogg Bloodboil", "Teron Gorefiend", "Shade of Akama",
						 "Reliquary of Souls", "Mother Shahraz", "Illidari Council", "Illidan Stormrage", },
	["Tempest Keep"] = { "Al'ar", "High Astromancer Solarian", "Void Reaver", "Kael'thas Sunstrider", },
	["Hyjal Summit"] = { "Rage Winterchill", "Anetheron", "Kaz'rogal", "Azgalor", "Archimonde", },
	["Zul'Aman"] = { "Nalorakk", "Akil'Zon", "Jan'Alai", "Halazzi", "Witch Doctor", "Hex Lord Malacrass", "Zul'jin", },
	["Sunwell Plateau"] = { "Kalecgos", "Sathrovarr the Corruptor", "Brutallus", "Felmyst", "Eredar Twins", "Entropius", "Kil'jaeden", },

	-- WOTLK
	["Utgarde Keep"]				= {  },
	["The Nexus"]					= {  },
	["Azjol-Nerub"]					= {  },
	["Ahn'kahet: The Old Kingdom"]	= {  },
	["Drak'Tharon Keep"]			= {  },
	["The Violet Hold"]				= { "Cyanigosa", "Erekem", "Ichoron", "Lavanthor", "Moragg", "Xevozz", "Zuramat the Obliterator", },
	["Gundrak"]						= {  },
	["Halls of Stone"]				= { "Krystallus", "Maiden of Grief", "Sjonnir The Ironshaper", "The Tribunal of Ages", },
	["The Occlus"]					= {  },
	["Utgarde Pinnacle"]			= {  },
	["The Culling of Stratholme"]	= {  },
	["Halls of Lightning"]			= { "General Bjarngrim", "Ionar", "Loken", "Volkhan", },
	["Naxxramas"]					= { "Patchwerk", "Grobbulus", "Gluth", "Thaddius", "Instructor Razuvious", "Gothik the Harvester", "Highlord Mograine",
		"Thane Korth'azz", "Lady Blaumeux", "Sir Zeliek", "Noth The Plaguebringer", "Heigan the Unclean", "Loatheb", "Anub'Rekhan",
		"Grand Widow Faerlina", "Maexxna", "Sapphiron", "Kel'Thuzad", },
	["The Obsidian Sanctum"]		= {  },
	["Vault of Archavon"]			= {  },
	["The Eye of Eternity"]			= {  },
	["Ulduar Raid"]					= {  },
	["Icecrown Citadel"]			= {  },
};

RaidTracker_BossTriggers = {

};

RaidTracker_BossUnitTriggers = {
	["Nightsaber Stalker"] = "Nightsaber Stalker",
	
	["Lucifron"] = "Lucifron",
	["Magmadar"] = "Magmadar",
	["Gehennas"] = "Gehennas",
	["Garr"] = "Garr",
	["Baron Geddon"] = "Baron Geddon",
	["Shazzrah"] = "Shazzrah",
	["Sulfuron Harbinger"] = "Sulfuron Harbinger",
	["Golemagg the Incinerator"] = "Golemagg the Incinerator",
	["Majordomo Executus"] = "Majordomo Executus",
	["Ragnaros"] = "Ragnaros",
	["Core Hound"] = "IGNORE",
	["Firesworn"] = "IGNORE",
	["Core Rager"] = "IGNORE",
	["Flamewaker Healer"] = "IGNORE",
	["Flamewaker Elite"] = "IGNORE",
	["Son of Flame"] = "IGNORE",

	["Razorgore the Untamed"] = "Razorgore the Untamed",
	["Vaelastrasz the Corrupt"] = "Vaelastrasz the Corrupt",
	["Broodlord Lashlayer"] = "Broodlord Lashlayer",
	["Firemaw"] = "Firemaw",
	["Ebonroc"] = "Ebonroc",
	["Flamegor"] = "Flamegor",
	["Chromaggus"] = "Chromaggus",
	["Nefarian"] = "Nefarian",
	["Lord Victor Nefarius"] = "Nefarian",
	["Grethok the Controller"] = "IGNORE",
	["Blackwing Guardsman"] = "IGNORE",
	["Blackwing Legionnaire"] = "IGNORE",
	["Blackwing Mage"] = "IGNORE",
	["Death Talon Dragonspawn"] = "IGNORE",
	["Black Drakonid"] = "IGNORE",
	["Blue Drakonid"] = "IGNORE",
	["Bronze Drakonid"] = "IGNORE",
	["Green Drakonid"] = "IGNORE",
	["Red Drakonid"] = "IGNORE",
	["Chromatic Drakonid"] = "IGNORE",
	["Bone Construct"] = "IGNORE",
	["Corrupted Infernal"] = "IGNORE",
	["Corrupted Blue Whelp"] = "IGNORE",
	["Corrupted Red Whelp"] = "IGNORE",
	["Corrupted Green Whelp"] = "IGNORE",
	["Corrupted Bronze Whelp"] = "IGNORE",
	["Death Talon Hatcher"] = "IGNORE",
	["Blackwing Taskmaster"] = "IGNORE",

	["High Priestess Jeklik"] = "High Priestess Jeklik",
	["High Priest Venoxis"] =	"High Priest Venoxis",
	["High Priestess Mar'li"] =	"High Priestess Mar'li",
	["High Priest Thekal"] = "High Priest Thekal",
	["High Priestess Arlokk"] =	"High Priestess Arlokk",
	["Hakkar"] = "Hakkar",
	["Bloodlord Mandokir"] = "Bloodlord Mandokir",
	["Jin'do the Hexxer"] = "Jin'do the Hexxer",
	["Gahz'ranka"] = "Gahz'ranka",
	["Hazza'rah"] = "Hazza'rah",
	["Gri'lek"] = "Gri'lek",
	["Renataki"] = "Renataki",
	["Wushoolay"] = "Wushoolay",
	["Zulian Prowler"] = "IGNORE",
	["Zulian Guardian"] = "IGNORE",
	["Parasitic Serpent"] = "IGNORE",
	["Spawn of Mar'li"] = "IGNORE",
	["Ohgan"] = "IGNORE",
	["Frenzied Bloodseeker Bat"] = "IGNORE",
	["Poisonous Cloud"] = "IGNORE",

	["Onyxia"] = "Onyxia",
	["Lord Kazzak"] = "Lord Kazzak",
	["Azuregos"] = "Azuregos",
	["Ysondre"] = "Ysondre",
	["Taerar"] = "Taerar",
	["Emeriss"] = "Emeriss",
	["Lethon"] = "Lethon",

	["Onyxian Whelp"] = "IGNORE",
	["Onyxian Warder"] = "IGNORE",
	["Shade of Taerar"] = "IGNORE",
	["Spirit Shade"] = "IGNORE",
	["Demented Druid Spirit"] = "IGNORE",

	["Kurinnaxx"] = "Kurinnaxx",
	["General Rajaxx"] = "General Rajaxx",
	["Ayamiss the Hunter"] = "Ayamiss the Hunter",
	["Buru the Gorger"] = "Buru The Gorger",
	["Moam"] = "Moam",
	["Ossirian the Unscarred"] = "Ossirian The Unscarred",
	["Buru Egg"] = "IGNORE",
	["Canal Frenzy"] = "IGNORE",
	["Mana Fiend"] = "IGNORE",
	["Silicate Feeder"] = "IGNORE",
	["Hive'Zara Hatchling"] = "IGNORE",
	["Hive'Zara Larva"] = "IGNORE",
	["Vekniss Hatchling"] = "IGNORE",
	["Anubisath Warrior"] = "IGNORE",

	["The Prophet Skeram"] = "The Prophet Skeram",
	["Fankriss the Unyielding"] = "Fankriss the Unyielding",
	["Battleguard Sartura"] = "Battleguard Sartura",
	["Princess Huhuran"] = "Princess Huhuran",
	["Emperor Vek'lor"] = "Twin Emperors",
	["Emperor Vek'nilash"] = "Twin Emperors",
	["C'Thun"] = "C'Thun",
	["Vem"] = "Vem",
	["Princess Yauj"] = "Princess Yauj",
	["Lord Kri"] = "Lord Kri",
	["Viscidus"] = "Viscidus",
	["Ouro"] = "Ouro",
	["Ouro Scarab"] = "IGNORE",
	["Spawn of Fankriss"] = "IGNORE",
	["Qiraji Scorpion"] = "IGNORE",
	["Qiraji Scarab"] = "IGNORE",
	["Vile Scarab"] = "IGNORE",
	["Yauj Brood"] = "IGNORE",
	["Sartura's Royal Guard"] = "IGNORE",
	["Sartura's Royal Guard"] = "IGNORE",
	["Poison Cloud"] = "IGNORE",
	["Vekniss Drone"] = "IGNORE",
	["Glob of Viscidus"] = "IGNORE",

	["Patchwerk"] = "Patchwerk",
	["Grobbulus"] = "Grobbulus",
	["Gluth"] = "Gluth",
	["Thaddius"] = "Thaddius",
	["Instructor Razuvious"] = "Instructor Razuvious",
	["Gothik the Harvester"] = "Gothik the Harvester",
	["Highlord Mograine"] = "Highlord Mograine",
	["Thane Korth'azz"] = "Thane Korth'azz",
	["Lady Blaumeux"] = "Lady Blaumeux",
	["Sir Zeliek"] = "Sir Zeliek",
	["Noth The Plaguebringer"] = "Noth The Plaguebringer",
	["Heigan the Unclean"] = "Heigan the Unclean",
	["Loatheb"] = "Loatheb",
	["Anub'Rekhan"] = "Anub'Rekhan",
	["Grand Widow Faerlina"] = "Grand Widow Faerlina",
	["Maexxna"] = "Maexxna",
	["Sapphiron"] = "Sapphiron",
	["Kel'Thuzad"] = "Kel'Thuzad",

		["Fangnetz"] = "IGNORE",
		["Verstrahlter Br\195\188hschleimer"] = "IGNORE",

	["Crypt Guard"] = "IGNORE",
	["Grobbulus Cloud"] = "IGNORE",
	["Deathknight Understudy"] = "IGNORE",
	["Maggot"] = "IGNORE",
	["Maexxna Spiderling"] = "IGNORE",
	["Plagued Warrior"] = "IGNORE",
	["Zombie Chow"] = "IGNORE",
	["Corpse Scarab"] = "IGNORE",
	["Naxxramas Follower"] = "IGNORE",
	["Naxxramas Worshipper"] = "IGNORE",
	["Web Wrap"] = "IGNORE",
	["Fallout Slime"] = "IGNORE",
	["Diseased Maggot"] = "IGNORE",
	["Rotting Maggot"] = "IGNORE",
	["Living Poison"] = "IGNORE",
	["Spore"] = "IGNORE",

	["Spotlight"] = "IGNORE",
	["Roach"] = "IGNORE",
	["Snake"] = "IGNORE",
	["Brown Snake"] = "IGNORE",
	["Crimson Snake"] = "IGNORE",
	["Black Kingsnake"] = "IGNORE",
	["Beetle"] = "IGNORE",
	["Dupe Bug"] = "IGNORE",
	["Fire Beetle"] = "IGNORE",
	["Scorpion"] = "IGNORE",
	["Frog"] = "IGNORE",
	["Hooktooth Frenzy"] = "IGNORE",
	["Sacrificed Troll"] = "IGNORE",
	["Spider"] = "IGNORE",
	["Rat"] = "IGNORE",
	["Jungle Toad"] = "IGNORE",
	["Field Repair Bot 74A"] = "IGNORE",

	-- TBC
	--Karazhan
	["Doom Lord Kazzak"] = "Doom Lord Kazzak",
	["Doomwalker"] = "Doomwalker",
	["Attumen the Huntsman"] = "Attumen the Huntsman",
	["Dorothee"] = "IGNORE",
	["Maiden of Virtue"] = "Maiden of Virtue",
	["Midnight"] = "IGNORE",
	["Moroes"] = "Moroes",
		["Baron Rafe Dreuger"] = "IGNORE", -- Moroes add
		["Baroness Dorothea Millstipe"] = "IGNORE", -- Moroes add
		["Lady Catriona Von'Indi"] = "IGNORE", -- Moroes add
		["Lady Keira Berrybuck"] = "IGNORE", -- Moroes add
		["Lord Crispin Ference"] = "IGNORE", -- Moroes add
		["Lord Robin Daris"] = "IGNORE", -- Moroes add
	["Netherspite"] = "Netherspite",
	["Nightbane"] = "Nightbane",
	["Prince Malchezaar"] = "Prince Malchezaar",
	["Shade of Aran"] = "Shade of Aran",
	["Strawman"] = "IGNORE",
	["Terestian Illhoof"] = "Terestian Illhoof",
	["Kil'rek"] = "IGNORE",
	["The Big Bad Wolf"] = "The Big Bad Wolf",
	["The Crone"] = "The Crone",
	["The Curator"] = "The Curator",
	["Tinhead"] = "IGNORE",
	["Tito"] = "IGNORE",
	["Rokad the Ravager"] = "Rokad the Ravager",
	["Hyakiss the Lurker"] = "Hyakiss the Lurker",
	["Shadikith the Glider"] = "Shadikith the Glider",
	["Chess Event"] = "Chess Event",
	["Julianne"] = "Romulo and Julianne",
	["Roar"] = "IGNORE",
	["Romulo"] = "IGNORE",
	["Echo of Medivh"] = "Echo of Medivh",
	["Image of Medivh"] = "Image of Medivh",
	-- Zul'Aman
	["Nalorakk"] = "Nalorakk",
	["Akil'Zon"] = "Akil'zon",
	["Jan'Alai"] = "Jan'alai",
	["Halazzi"] = "Halazzi",
	["Witch Doctor"] = "Witch Doctor",
	["Hex Lord Malacrass"] = "Hex Lord Malacrass",
	["Zul'jin"] = "Zul'jin",
	--Gruul
	["High King Maulgar"] = "High King Maulgar",
	["Gruul the Dragonkiller"] = "Gruul the Dragonkiller",
	["Blindeye the Seer"] = "IGNORE",
	["Kiggler the Crazed"] = "IGNORE",
	["Krosh Firehand"] = "IGNORE",
	["Olm the Summoner"] = "IGNORE",
	-- Magtheridon
	["Magtheridon"] = "Magtheridon",
	["Hellfire Warder"] = "IGNORE",
	["Hellfire Channeler"] = "IGNORE",
	--Serpentshrine Cavern
	["Hydross the Unstable"] = "Hydross the Unstable",
	["The Lurker Below"] = 		"The Lurker Below",
	["Leotheras the Blind"] = "Leotheras the Blind",
	["Fathom-Lord Karathress"] = "Fathom-Lord Karathress",
	["Morogrim Tidewalker"] = "Morogrim Tidewalker",
	["Lady Vashj"] = "Lady Vashj",
		-- Bossadds
			-- Hydross Adds
	  ["Pure Spawn of Hydross"] = "IGNORE", -- Pure Spawn of Hydross
	  ["Tainted Spawn of Hydross"] = "IGNORE", -- Tainted Spawn of Hydross
	  ["Tainted Water Elemental"] = "IGNORE", -- Tainted Water Elemental
	  ["Purified Water Elemental"] = "IGNORE", -- Purified Water Elemental
	  
	  -- Morogrim Adds
	  ["Tidewalker Lurker"] = "IGNORE", -- Tidewalker Lurker
	  ["Water Globule"] = "IGNORE", -- Water Globule (Waterbubbles Tidewalker summons at 25%)

			-- Fathom-Lord Karathress Adds
			["Spitfire Totem"] = "IGNORE", -- Spitfire Totem
			["Greater Earthbind Totem"] = "IGNORE", -- Greater Earthbind Totem
			["Greater Poison Cleansing Totem"] = "IGNORE", -- Greater Poison Cleansing Totem
			["Fathom Lurker"] = "IGNORE", -- Fathom Lurker
			["Fathom Sporebat"] = "IGNORE", -- Fathom Sporebat
			["Fathom-Guard Caribdis"] = "IGNORE", -- Fathom-Guard Caribdis
			["Fathom-Guard Tidalvess"] = "IGNORE", -- Fathom-Guard Tidalvess
			["Fathom-Guard Sharkkis"] = "IGNORE", -- Fathom-Guard Sharkkis

			-- The Lurker Below Adds
			["Coilfang Guardian"] = "IGNORE", -- Coilfang Guardian
			["Coilfang Ambusher"] = "IGNORE", -- Coilfang Ambusher

			-- Leotheras the Blind Adds
			["Inner Demon"] = "IGNORE", -- Inner Demon

	  -- Vashj Adds
	  ["Toxic Spore Bat"] = "IGNORE",  -- Toxic Spore Bat
	  ["Tainted Elemental"] = "IGNORE", -- Tainted Elemental
	  ["Coilfang Elite"] = "IGNORE", -- Coilfang Elite
	  ["Coilfang Strider"] = "IGNORE", -- Coilfang Strider
	  ["Enchanted Elemental"] = "IGNORE", -- Enchanted Elemental
	  -- SSC Trashmobs
	  ["Coilfang Beast-Tamer"] = "IGNORE",	-- Coilfang Beast-Tamer
	  ["Vashj'ir Honor Guard"] = "IGNORE",	-- Vashj'ir Honor Guard
	  ["Greyheart Tidecaller"] = "IGNORE", -- Greyheart Tidecaller
	  ["Tidewalker Harpooner"] = "IGNORE", -- Tidewalker Harpooner
	  ["Coilfang Hate-Screamer"] = "IGNORE", -- Coilfang Hate-Screamer
	  ["Tidewalker Warrior"] = "IGNORE", -- Tidewalker Warrior
	  ["Serpentshrine Lurker"] = "IGNORE", -- Serpentshrine Lurker
	  ["Greyheart Nether-Mage"] = "IGNORE", -- Greyheart Nether-Mage
	  ["Coilfang Priestess"] = "IGNORE", -- Coilfang Priestess
	  ["Tidewalker Shaman"] = "IGNORE", -- Tidewalker Shaman
	  ["Greyheart Shield-Bearer"] = "IGNORE", -- Greyheart Shield-Bearer
	  ["Coilfang Serpentguard"] = "IGNORE", -- Coilfang Serpentguard
	  ["Greyheart Skulker"] = "IGNORE", -- Greyheart Skulker
	  ["Serpentshrine Sporebat"] = "IGNORE", -- Serpentshrine Sporebat
	  ["Greyheart Technician"] = "IGNORE", -- Greyheart Technician
	  ["Coilfang Fathom-Witch"] = "IGNORE", -- Coilfang Fathom-Witch
	  ["Tidewalker Depth-Seer"] = "IGNORE", -- Tidewalker Depth-Seer
	  ["Underbog Colossus"] = "IGNORE", -- Underbog Colossus
	  ["Tidewalker Hydromancer"] = "IGNORE", -- Tidewalker Hydromancer
	  ["Coilfang Shatterer"] = "IGNORE", -- Coilfang Shatterer
	  -- SSC Trashmobs without loot
			["Coilfang Frenzy"] = "IGNORE", -- Coilfang Frenzy
			["Serpentshrine Tidecaller"] = "IGNORE", -- Serpentshrine Tidecaller
			["Colossus Lurker"] = "IGNORE", -- Colossus Lurker
			["Colossus Rager"] = "IGNORE", -- Colossus Rager
			["Serpentshrine Parasite"] = "IGNORE", -- Serpentshrine Parasite
			["Underbog Mushroom"] = "IGNORE", -- Underbog Mushroom
			["Water Elemental Totem"] = "IGNORE", -- Water Elemental Totem
			["Greyheart Spellbinder"] = "IGNORE", -- Greyheart Spellbinder
			["Priestess Spirit"] = "IGNORE", -- Priestess Spirit
	--Black Temple
	["High Warlord Naj'entus"] = "High Warlord Naj'entus",
	["Supremus"] = "Supremus",
	["Gurtogg Bloodboil"] = "Gurtogg Bloodboil",
	["Teron Gorefiend"] = "Teron Gorefiend",
	["Shade of Akama"] = "Shade of Akama",
	["Essence of Anger"] = "Reliquary of Souls",
	["Mother Shahraz"] = "Mother Shahraz",
	 ["Gathios the Shatterer"] = "Illidari Council",
	 ["High Nethermancer Zerevor"] = "Illidari Council",
	 ["Lady Malande"] = "Illidari Council",
	 ["Veras Darkshadow"] = "Illidari Council",
	["Illidan Stormrage"] = "Illidan Stormrage",
	--Tempest Keep: The Eye
	["Al'ar"] = "Al'ar",
	["High Astromancer Solarian"] = "High Astromancer Solarian",
	["Void Reaver"] = "Void Reaver",
	["Kael'thas Sunstrider"] = "Kael'thas Sunstrider",
	-- Bossadds
	-- Al'ar Adds
	["Ember of Al'ar"] = "IGNORE", -- Ember of Al'ar
	-- Astromancer Adds
	["Solarium Agent"] = "IGNORE", -- Solarium Agent
	["Solarium Priest"] = "IGNORE", -- Solarium Priest
	-- Kael'thas Adds
	["Lord Sanguinar"] = "IGNORE", -- Lord Sanguinar
	["Grand Astromancer Capernian"] = "IGNORE", -- Grand Astromancer Capernian
	["Master Engineer Telonicus"] = "IGNORE", -- Master Engineer Telonicus
	["Phoenix Egg"] = "IGNORE", -- Phoenix Egg
	["Phoenix"] = "IGNORE", -- Phoenix
	["Thaladred the Darkener"] = "IGNORE", -- Thaladred the Darkener
	-- Kael'thas Weapons
	["Infinity Blades"] = "IGNORE", -- Infinity Blades
	["Cosmic Infuser"] = "IGNORE", -- Cosmic Infuser
	["Netherstrand Longbow"] = "IGNORE", -- Netherstrand Longbow
	["Phaseshift Bulwark"] = "IGNORE", -- Phaseshift Bulwark
	["Staff of Disintegration"] = "IGNORE", -- Staff of Disintegration
	["Devastation"] = "IGNORE", -- Devastation
	["Warp Slicer"] = "IGNORE", -- Warp Slicer
		-- TK Trash
		["Astromancer"] = "IGNORE", -- Astromancer
		["Astromancer Lord"] = "IGNORE", -- Astromancer Lord
		["Novice Astromancer"] = "IGNORE", -- Novice Astromancer
		["Crimson Hand Blood Knight"] = "IGNORE", -- Crimson Hand Blood Knight
		["Tempest Falconer"] = "IGNORE", -- Tempest Falconer
		["Crimson Hand Inquisitor"] = "IGNORE", -- Crimson Hand Inquisitor
		["Crimson Hand Battle Mage"] = "IGNORE", -- Crimson Hand Battle Mage
		["Bloodwarder Squir"] = "IGNORE", -- Bloodwarder Squire
		["Crystalcore Mechanic"] = "IGNORE", -- Crystalcore Mechanic
		["Crystalcore Sentinel"] = "IGNORE", -- Crystalcore Sentinel
		["Crystalcore Devastator"] = "IGNORE", -- Crystalcore Devastator
		["Bloodwarder Legionnaire"] = "IGNORE", -- Bloodwarder Legionnaire
		["Bloodwarder Marshal"] = "IGNORE", -- Bloodwarder Marshal
		["Nether Scryer"] = "IGNORE", -- Nether Scryer
		["Phoenix-Hawk Hatchlings"] = "IGNORE", -- Phoenix-Hawk Hatchling
		["Phoenix-Hawk"] = "IGNORE", -- Phoenix-Hawk
		["Tempest-Smith"] = "IGNORE", -- Tempest-Smith
		["Star Scryer"] = "IGNORE", -- Star Scryer
		["Apprentice Star Scryer"] = "IGNORE", -- Apprentice Star Scryer
		["Bloodwarder Vindicator"] = "IGNORE", -- Bloodwarder Vindicator
		["Crimson Hand Centurion"] = "IGNORE", -- Crimson Hand Centurion

	["Lord Illidan Stormrage"] = "Lord Illidan Stormrage",
	["Highlord Kruul"] = "Highlord Kruul",

	--Battle of Mount Hyjal
	["Rage Winterchill"] = "Rage Winterchill",
	["Anetheron"] = "Anetheron",
	["Kaz'rogal"] = "Kaz'rogal",
	["Azgalor"] = "Azgalor",
	["Archimonde"] = "Archimonde",

  --Sunwell Plateau
	["Kalecgos"] =  "IGNORE", -- Kalecgos
		["Sathrovarr the Corruptor"] = "Sathrovarr the Corruptor",
		["Sathrovarr the Corruptor"] = "Kalecgos",
	["Brutallus"] = "Brutallus",
		["Madrigosa"] = "IGNORE", -- Madrigosa
	["Felmyst"] = "Felmyst",
	["Lady Sacrolash"] = "Eredar Twins",
	["Grand Warlock Alythess"] = "Eredar Twins",
	["Entropius"] = "Entropius",
	["Kil'jaeden"] = "Kil'jaeden",
	["M'uru"] = "IGNORE",
	["Shadowsword Berserker"] = "IGNORE", -- Shadowsword Berserker
	["Shadowsword Fury Mage"] = "IGNORE", -- Shadowsword Fury Mage
	["Void Sentinel"] = "IGNORE", -- Void Sentinel
	["Void Spawn"] = "IGNORE", -- Void Spawn

	-- TBC

	["DEFAULTBOSS"] = "Trash mob",
};
